---
dependency:
  name: galaxy

driver:
  name: vagrant
  provider:
    name: virtualbox

lint:
  name: yamllint
  options:
    config-file: .yamllint

platforms:
  - name: instance
    box: generic/openbsd6
    cpus: 1
    memory: 512
    provider_options:
      gui: false
    provider_raw_config_args:
      - "customize [ 'modifyvm', :id, '--uartmode1', 'disconnected' ]"

provisioner:
  name: ansible
  env:
    ANSIBLE_ROLES_PATH: ../shared/release/roles/
  inventory:
    group_vars:
      all:
        ansible_python_interpreter: /usr/local/bin/python3
  lint:
    name: ansible-lint
  playbooks:
    converge: ../shared/converge.yml
    prepare: ../shared/openbsd/6.4-prepare.yml

scenario:
  name: vagrant_openbsd_release
  test_sequence:
    - lint
    # - cleanup
    - destroy
    # - dependency
    - syntax
    - create
    - prepare
    - converge
    - idempotence
    # - side_effect
    - verify
    # - cleanup
    - destroy

verifier:
  name: testinfra
  directory: ../shared/release/tests
  env:
    # Snuff deprecation warnings based on reports of third-party libraries.
    PYTHONWARNINGS: "ignore:.*U.*mode is deprecated:DeprecationWarning"
  lint:
    name: flake8
    # Ref: http://flake8.pycqa.org/en/latest/user/options.html
    options:
      max-line-length: 120
  options:
    # Show which tests where executed in test output.
    v: true
